clang 8.0.0

Classes | Public Member Functions | List of all members
clang::index::CodegenNameGenerator Class Reference

`#include "clang/Index/CodegenNameGenerator.h"`

## Classes
struct | Implementation

## Public Member Functions
| CodegenNameGenerator (ASTContext &Ctx)
| ~CodegenNameGenerator ()
bool | writeName (const Decl *D, raw_ostream &OS)
std::string | getName (const Decl *D)
| Version of `writeName` function that returns a string. More...
std::vector< std::string > | getAllManglings (const Decl *D)
| This can return multiple mangled names when applicable, e.g. More...

## Detailed Description

Definition at line 28 of file CodegenNameGenerator.h.

## Constructor & Destructor Documentation

## ◆ CodegenNameGenerator()

CodegenNameGenerator::CodegenNameGenerator | ( | ASTContext & | Ctx | ) |
| explicit

Definition at line 211 of file CodegenNameGenerator.cpp.

## ◆ ~CodegenNameGenerator()

CodegenNameGenerator::~CodegenNameGenerator | ( |  | ) |

Definition at line 215 of file CodegenNameGenerator.cpp.

## Member Function Documentation

## ◆ getAllManglings()

std::vector< std::string > CodegenNameGenerator::getAllManglings | ( | const Decl * | D | ) |

This can return multiple mangled names when applicable, e.g.

for C++ constructors/destructors.

Definition at line 226 of file CodegenNameGenerator.cpp.

## ◆ getName()

std::string CodegenNameGenerator::getName | ( | const Decl * | D | ) |

Version of `writeName` function that returns a string.

Definition at line 222 of file CodegenNameGenerator.cpp.

## ◆ writeName()

bool CodegenNameGenerator::writeName | ( | const Decl * | D,
|  | raw_ostream & | OS
| ) |  |

Returns
  true on failure to produce a name for the given decl, false on success.

Definition at line 218 of file CodegenNameGenerator.cpp.

The documentation for this class was generated from the following files:

- include/clang/Index/CodegenNameGenerator.h
- lib/Index/CodegenNameGenerator.cpp